## python-swiftclient 4.5.0

=== debian/changelog ===
python-swiftclient (1:4.5.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 11 Mar 2024 12:59:53 +0000

python-swiftclient (1:4.5.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 12:05:46 +0000

## python-swiftclient 4.6.0

=== debian/changelog ===
python-swiftclient (1:4.6.0-3) unstable; urgency=medium

  * Removed runtime depends on python3-pkg-resource (Closes: #1083716).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Oct 2024 10:35:29 +0200

python-swiftclient (1:4.6.0-2) unstable; urgency=medium

  * Removed /usr/bin alternative removal in {pre,post}rm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:45:37 +0200

python-swiftclient (1:4.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Aug 2024 10:19:48 +0200

python-swiftclient (1:4.5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:42:11 +0200

python-swiftclient (1:4.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop py3.12-Fix_call_assertion.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 17:11:43 +0100

python-swiftclient (1:4.4.0-4) unstable; urgency=medium

  * Add py3.12-Fix_call_assertion.patch (Closes: #1058186).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2023 17:05:43 +0100

python-swiftclient (1:4.4.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 17:09:23 +0200

python-swiftclient (1:4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 17:06:04 +0200

python-swiftclient (1:4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Sep 2023 08:53:16 +0200

python-swiftclient (1:4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 11:15:19 +0200

python-swiftclient (1:4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:25:29 +0200

python-swiftclient (1:4.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:22:28 +0100

=== debian/control ===
Source: python-swiftclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-openstackdocstheme,
 python3-reno,
 python3-stestr,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-swiftclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-swiftclient
Homepage: https://github.com/openstack/python-swiftclient
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-swiftclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Client library for Openstack Swift API - doc
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a client for the OpenStack Swift API. There's a Python
 API  (the "swiftclient" module), and a command-line script ("swift").
 .
 This package contains the documentation.

Package: python3-swiftclient
Architecture: all
Recommends:
 python3-keystoneclient,
 ${python3:Recommends},
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Client library for Openstack Swift API - Python 3.x
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides a client for the OpenStack Swift API. There's a Python
 API  (the "swiftclient" module), and a command-line script ("swift").
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-swiftclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-swiftclient 4.7.0

=== debian/changelog ===
python-swiftclient (1:4.7.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 11:46:29 +0000

python-swiftclient (1:4.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 12:43:48 +0100

python-swiftclient (1:4.7.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:59:53 +0100

## python-swiftclient 4.8.0

=== requirements.txt ===
requests>=2.4.0

=== debian/changelog ===
python-swiftclient (1:4.8.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 17 Sep 2025 13:41:55 -0700

python-swiftclient (1:4.7.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Mar 2025 09:37:23 +0000

python-swiftclient (1:4.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 07:31:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,40 @@
 Source: python-swiftclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
+ Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-coverage,
- python3-hacking,
- python3-keystoneauth1,
+ python3-coverage (>= 4.0),
+ python3-hacking (>= 1.1.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient,
- python3-openstackdocstheme,
+ python3-mock (>= 1.2.0),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-openstacksdk (>= 0.11.0),
+ python3-oslosphinx (>= 4.7.0),
  python3-reno,
- python3-stestr,
-Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-swiftclient.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-swiftclient
-Homepage: https://github.com/openstack/python-swiftclient
+ python3-requests (>= 2.4.0),
+ python3-six (>= 1.9.0),
+ python3-stestr (>= 2.0.0),
+ python3-subunit,
+ subunit,
+ testrepository,
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-swiftclient
+Homepage: https://opendev.org/openstack/python-swiftclient
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python-swiftclient-doc
 Section: doc
@@ -61,10 +69,11 @@
 
 Package: python3-swiftclient
 Architecture: all
-Recommends:
+Depends:
  python3-keystoneclient,
- ${python3:Recommends},
-Depends:
+ python3-pkg-resources,
+ python3-requests (>= 2.4.0),
+ python3-six (>= 1.9.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: Client library for Openstack Swift API - Python 3.x

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-swiftclient

PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,sphinxdoc --buildsystem=pybuild

override_dh_install:
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-swiftclient ; \
	done

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -A AUTHORS

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build .testrepository

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-swiftclient-doc/usr/share/doc/python-swiftclient/html
	dh_sphinxdoc
endif

=== debian/tests/control ===
Tests: client
Depends: python3-swiftclient

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/python-swiftclient/ python_swiftclient-(\d.*)\.tar\.gz

## python-swiftclient 4.9.0

=== debian/changelog ===
python-swiftclient (1:4.9.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 4.9.0
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Mon, 19 Jan 2026 15:19:36 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/python-swiftclient/ python_swiftclient-(\d.*)\.tar\.gz

## python-swiftclient 4.10.0

=== debian/changelog ===
python-swiftclient (1:4.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 12:33:45 +0100

python-swiftclient (1:4.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:52:08 +0200

python-swiftclient (1:4.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Sep 2025 09:13:43 +0200
